// JavaScript Document
//##############################MOTEUR AJAX 1############################################
function jouer() {   
	 $.ajax({
        type: 'POST',
        url: 'gainAleatoire.php',
        data: "nom="+ $('#nom').val(),
		dataType:'json',
        success: actualiserPage,
        error: function() {alert('Erreur serveur');}
              }); 
	 
  }
  function actualiserPage(reponse) {
	  var resultat=new Array();
	  $.each(reponse, function(nomRes,res) {	
	     $.each(res, function(attribut,valeur) {
			resultat[attribut]=valeur; 
		 });					   
	   });
	  $('#resultat').html(resultat["gain"]);
	  $('#gagnant').html(resultat["nom"]);
	   //affiche la zone info
	   $('#info').css("visibility", "visible");
	   
  }


$(document).ready(function() {
$('#button').click(function () {jouer();});
//gestion du bouton
$('#button').ajaxStart(function(request, settings) { $(this).attr("disabled",true) });						$('#button').ajaxStop(function(request, settings){ $(this).attr("disabled",false) });   
//gestion du chargeur
$('#charge').ajaxStart(function(request, settings) { $(this).css("visibility", "visible") });
$('#charge').ajaxStop(function(request, settings){ $(this).css("visibility", "hidden") });
});
